Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmMailRetrievalStatus

    public interface ICmMailRetrievalStatus

This interface represents the status of mail retrieval for a cm session.

Field Summary
`static int` | `STATUS_FAIL` This constant represents the retrieval 'fail' status.
`static int` | `STATUS_NO_INFO` This constant represents the retrieval 'no info' status.
`static int` | `STATUS_NOT_RUNNING` This constant represents the retrieval 'not running' status.
`static int` | `STATUS_SUCCESS` This constant represents the retrieval 'success' status.

Method Summary
`Date` | `getEndDate()` Gets the last retrieval end date.
`int` | `getMessageProcessedCount()` Gets the messages processed count during the last retrieval.
`int` | `getSessionCount()` Gets the number of sessions using the timer.
`Date` | `getStartDate()` Gets the last retrieval start date.
`int` | `getStatus()` Gets the status.
`String` | `getStatusMessage()` Gets the status message.
`String` | `getStatusStackTrace()` Gets the status stack trace.

Field Detail

### STATUS_SUCCESS

    static final int STATUS_SUCCESS

  This constant represents the retrieval 'success' status.

  See Also
    Constants Summary

### STATUS_FAIL

    static final int STATUS_FAIL

  This constant represents the retrieval 'fail' status.

  See Also
    Constants Summary

### STATUS_NOT_RUNNING

    static final int STATUS_NOT_RUNNING

  This constant represents the retrieval 'not running' status.

  See Also
    Constants Summary

### STATUS_NO_INFO

    static final int STATUS_NO_INFO

  This constant represents the retrieval 'no info' status.

  See Also
    Constants Summary

Method Detail

### getStartDate

    Date getStartDate()

  Gets the last retrieval start date.

  Returns
    the last start date

### getEndDate

    Date getEndDate()

  Gets the last retrieval end date.

  Returns
    the last end date

### getMessageProcessedCount

    int getMessageProcessedCount()

  Gets the messages processed count during the last retrieval.

  Returns
    the number of messages processed

### getStatus

    int getStatus()

  Gets the status.

  Returns
    the status (see `STATUS_` constants)

### getSessionCount

    int getSessionCount()

  Gets the number of sessions using the timer.

  Returns
    the session count

### getStatusMessage

    String getStatusMessage()

  Gets the status message.

  Returns
    the status message

### getStatusStackTrace

    String getStatusStackTrace()

  Gets the status stack trace.

  Returns
    the stack trace or `null` if not `RETRIEVAL_STATUS_ERROR`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved